Skip to main content
GET
/
project
/
{project_id}
/
github
/
{github_installation_reference}
/
repository
/
{github_repository_reference}
Get GitHub repository details
curl --request GET \
  --url https://api.ubicloud.com/project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference} \
  --header 'Authorization: Bearer <token>'
{
  "installation_name": "<string>",
  "id": "gpfg7td83em22qfw9pq5xyfqb7",
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

github_installation_reference
string
required

GitHub installation ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
github_repository_reference
string
required

GitHub repository ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$

Response

A GitHub Repository

installation_name
string
required

Name of the GitHub installation containing the repository

id
string
required

ID of the GitHub repository

Pattern: ^gp[0-9a-hj-km-np-tv-z]{24}$
Example:

"gpfg7td83em22qfw9pq5xyfqb7"

name
string
required

Name of the GitHub repository